Skip to navigation

Delete a specific key

Delete a specific key by its id.

Authentication

Authorizationstring

This key is used for all apis with the exception of ingest. You can obtain it following these instructions and placing the key in the header of your call in the format of Authorization: Token {accesstoken} For example:

curl -H 'Authorization: Token <ACCESS TOKEN>'
OR
servicekeystring

(Deprecated) This key is used for v1 and v2 apis with the exception of ingest. Service keys can be used by placing your service key in the Authorization header of your api call. NOTE Usage of the service key auth mechanism has been deprecated in favor of IAM Access Tokens. Service keys can no longer be created, but can still be used for v1 and v2 apis while the transition takes place

Path parameters

idstringRequired
The id of the key to delete

Response

The key was deleted successfully, a simple status is returned.
messagestringOptional

The status of the request in a human-readable form

deletedbooleanOptional
Indicates whether the key was deleted

Errors

404
Not Found Error